Name:		aldrin
Version:	0.11
Release:	6%{?dist}
Summary:	Modular music sequencer/tracker

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://trac.zeitherrschaft.org/aldrin/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		aldrin-docfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExcludeArch:	ppc64
BuildRequires:	scons >= 0.96.92
BuildRequires:	dos2unix
BuildRequires:	desktop-file-utils
Requires:	pyzzub = 0.2.3
Requires:	pygtk2

%description
Aldrin is a powerful music composition software featuring a flexible audio
routing system commonly found in expensive audio software, enabling you to mix,
split, mutilate and modify audio signals emitted by software synthesizers and
samples.


%prep
%setup -q
mac2unix SConstruct
%patch0 -p1 -b docfix


%build
find share/aldrin share/doc \
     -regextype posix-egrep \
     -regex '.+\.(py|html|xml|prs|col|css)' \
     -exec mac2unix '{}' \; \
     -exec chmod 644 '{}' \;

iconv --from-code=ISO-8859-1 --to-code=UTF-8 CREDITS > CREDITS~
%{__mv} CREDITS~ CREDITS

%install
%{__rm} -rf $RPM_BUILD_ROOT
scons install PREFIX=$RPM_BUILD_ROOT%{_prefix}

desktop-file-install \
		     --vendor="fedora" \
		     --remove-category="Application" \
		     --delete-original \
		     --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
		     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%{_bindir}/aldrin
%{_defaultdocdir}/%{name}-%{version}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Fri Oct  5 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-6
- added ExludeArch for ppc64 to reflect libzzub unavailability on that arch

* Thu Sep 27 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-5
- nailed to pyzzub version 0.2.3 for docpath compatibility

* Tue Sep 25 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-4
- updated patch to fix referenced libzzub doc locations

* Tue Sep 18 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-3
- generic sf.net source url
- adapted macros wherever feasible (both paths and commands)
- unified buildroot style
- removed redundant ldconfig update call
- new patch to rectify aldrin's installation doc directory and file list
- added missing python module requirement
- added update calls for GTK icon cache and desktop database

* Tue Sep 18 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-2
- updated requires to new libzzub w/ integrated pyzzub
- removed redundant requires
- fixed rpm path macros
- fixed CREDITS encoding

* Mon Sep  3 2007 Alexander Kahl <akahl@iconmobile.com> - 0.11-1
- initial release
